Bug 236325 - devel/icu: update to 64.1
Summary: devel/icu: update to 64.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: http://site.icu-project.org/download/64
Keywords: needs-qa, patch
Depends on: 232300 236490 236860
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-06 16:29 UTC by Jan Beich
Modified: 2019-04-18 23:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-06 16:29:46 UTC
Firefox 68 (scheduled on 2019-05-14) may require ICU 64.1 (scheduled on 2019-03-19). In order to continue using system ICU while also benefiting from other changes let's prepare in advance.

See review D19479 for the patch. Each update breaks ABI, sometimes API as well.
Comment 1 Jan Beich freebsd_committer 2019-03-07 01:07:49 UTC
Can you check consumers?

### /usr/local/etc/poudriere.d/PR236325-make.conf ###
OPTIONS_SET += ICU UNICODE
databases_sqlite3_UNSET += ICU
mail_sendmail_SET += SMTPUTF8
sysutils_gdisk_SET += UTF16
Comment 2 Jan Beich freebsd_committer 2019-03-07 12:41:57 UTC
Add "dns_libpsl_UNSET += IDN2" to make.conf as well.

=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
====> You must select one and only one option from the IDNA single
=====> Only one of these must be defined: ICU IDN2
*** Error code 1
Comment 3 commit-hook freebsd_committer 2019-03-07 12:58:48 UTC
A commit references this bug:

Author: jbeich
Date: Thu Mar  7 12:58:37 UTC 2019
New revision: 494932
URL: https://svnweb.freebsd.org/changeset/ports/494932

Log:
  lang/parrot: unbreak with ICU 64

  In file included from src/ops/core_ops.c:72:
  In file included from /usr/local/include/unicode/uchar.h:28:
  In file included from /usr/local/include/unicode/utypes.h:38:
  In file included from /usr/local/include/unicode/umachine.h:46:
  In file included from /usr/local/include/unicode/ptypes.h:52:
  In file included from /usr/local/include/unicode/platform.h:25:
  /usr/local/include/unicode/uvernum.h:123:8: error: 'U_DISABLE_VERSION_SUFFIX' is not defined, evaluates to 0 [-Werror,-Wundef]
   #elif !U_DISABLE_VERSION_SUFFIX
          ^

  PR:		236325
  Approved by:	portmgr blanket

Changes:
  head/lang/parrot/Makefile
Comment 5 commit-hook freebsd_committer 2019-03-27 21:10:17 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar 27 21:10:00 UTC 2019
New revision: 496980
URL: https://svnweb.freebsd.org/changeset/ports/496980

Log:
  devel/icu: handle RC distfiles

  PR:		236325

Changes:
  head/devel/icu/Makefile
Comment 6 commit-hook freebsd_committer 2019-03-27 21:12:21 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar 27 21:11:30 UTC 2019
New revision: 496981
URL: https://svnweb.freebsd.org/changeset/ports/496981

Log:
  devel/icu: update to 64.1

  Changes:	http://site.icu-project.org/download/64
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		236325
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D19479

Changes:
  head/archivers/unarchiver/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/databases/clickhouse/Makefile
  head/databases/couchdb/Makefile
  head/databases/couchdb2/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/firebird25-server/Makefile
  head/databases/kbibtex/Makefile
  head/databases/kdb/Makefile
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql11-server/Makefile
  head/databases/postgresql96-server/Makefile
  head/databases/sqlite3/Makefile
  head/databases/tarantool/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/osmo/Makefile
  head/devel/boost-libs/Makefile
  head/devel/dee/Makefile
  head/devel/hs-text-icu/Makefile
  head/devel/icu/Makefile
  head/devel/icu/distinfo
  head/devel/icu/files/patch-common_umutex.cpp
  head/devel/icu/pkg-plist
  head/devel/icu-le-hb/Makefile
  head/devel/kiwix-lib/Makefile
  head/devel/libical/Makefile
  head/devel/libzim/Makefile
  head/devel/objecthash/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/devel/php73-intl/Makefile
  head/devel/py-pyicu/Makefile
  head/devel/qt5-core/Makefile
  head/devel/ticcutils/Makefile
  head/dns/libpsl/Makefile
  head/editors/libreoffice/Makefile
  head/editors/poedit/Makefile
  head/finance/gnucash/Makefile
  head/games/0ad/Makefile
  head/games/an/Makefile
  head/games/easyrpg-player/Makefile
  head/games/liblcf/Makefile
  head/games/openttd/Makefile
  head/games/widelands/Makefile
  head/graphics/dcmtk/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/maim/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/tesseract/Makefile
  head/irc/znc/Makefile
  head/irc/znc-push/Makefile
  head/java/openjfx8-devel/Makefile
  head/lang/gnustep-base/Makefile
  head/lang/parrot/Makefile
  head/lang/phantomjs/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/spidermonkey52/Makefile
  head/lang/swift/Makefile
  head/mail/cyrus-imapd30/Makefile
  head/mail/dovecot/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution-ews/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix-current/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/sendmail/Makefile
  head/mail/thunderbird/Makefile
  head/math/R/Makefile
  head/math/libqalculate/Makefile
  head/math/py-rpy2/Makefile
  head/misc/sword/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/subtitlecomposer/Makefile
  head/net/freerdp/Makefile
  head/net/openldap24-server/Makefile
  head/net/yaz/Makefile
  head/net/zebra-server/Makefile
  head/net-im/dino/Makefile
  head/news/tin/Makefile
  head/print/harfbuzz-icu/Makefile
  head/print/libmspub01/Makefile
  head/print/scribus-devel/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/gdisk/Makefile
  head/sysutils/ltfs/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/tracker/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/R-cran-stringi/Makefile
  head/textproc/dwdiff/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libfolia/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/nuspell/Makefile
  head/textproc/raptor2/Makefile
  head/textproc/rubygem-charlock_holmes/Makefile
  head/textproc/ucto/Makefile
  head/textproc/zorba/Makefile
  head/www/chromium/Makefile
  head/www/cliqz/Makefile
  head/www/cppcms/Makefile
  head/www/epiphany/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/iridium/Makefile
  head/www/mod_pagespeed/Makefile
  head/www/node/Makefile
  head/www/node10/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/palemoon/Makefile
  head/www/qt5-webkit/Makefile
  head/www/seamonkey/Makefile
  head/www/webkit2-gtk3/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/slop/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
Comment 7 Jan Beich freebsd_committer 2019-04-04 00:02:52 UTC
Looks like there maybe 64.2. As SONAME (and ABI) won't change the plan is to MFH to 2019Q2 as well.

https://unicode-org.atlassian.net/issues/?jql=project+%3D+ICU+AND+fixVersion+%3D+64.2
Comment 8 commit-hook freebsd_committer 2019-04-17 20:51:24 UTC
A commit references this bug:

Author: jbeich
Date: Wed Apr 17 20:51:19 UTC 2019
New revision: 499211
URL: https://svnweb.freebsd.org/changeset/ports/499211

Log:
  devel/icu: update to 64.2

  Changes:	https://github.com/unicode-org/icu/releases/tag/release-64-2
  Changes:	http://site.icu-project.org/download/64
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		236325

Changes:
  head/devel/icu/Makefile
  head/devel/icu/distinfo
Comment 9 commit-hook freebsd_committer 2019-04-18 23:27:26 UTC
A commit references this bug:

Author: jbeich
Date: Thu Apr 18 23:27:05 UTC 2019
New revision: 499319
URL: https://svnweb.freebsd.org/changeset/ports/499319

Log:
  MFH: r499211

  devel/icu: update to 64.2

  Changes:	https://github.com/unicode-org/icu/releases/tag/release-64-2
  Changes:	http://site.icu-project.org/download/64
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		236325
  Approved by:	ports-secteam blanket (required by Firefox 60.7esr)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/devel/icu/Makefile
  branches/2019Q2/devel/icu/distinfo